﻿@media (max-width:320px) {
    span.address-email {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: 200px;
    }

    .checkout-cta-container .cta button {
        width: 100%;
        text-align: center;
    }
}

@media (min-width:321px) and (max-width:425px) {
    span.address-email {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: 250px;
    }
}

@media (max-width:420px) {
    .shopping-cart-page .btn-checkout {
        width: 100%;
        font-size: 14px;
    }

    .cart-listing-item .thumbnail-container {
        width: 100%;
    }

    .cart-listing-item .details {
        width: 100%;
        text-align: center;
    }

    .shoppingcart-cta-container .cta button, .page-shipping-method .cta button, .shoppingcart-cta-container .cancel button {
        font-size: x-small !important;
    }

    .checkout-cta-container .cta button, .checkout-cta-container .cancel button {
        font-size: x-small !important;
    }

    .checkout-cta-container {
        padding-top: 15px;
    }

        .checkout-cta-container .return {
            width: auto;
            text-align: center;
            font-size: x-small !important;
        }
}

@media (max-width:599px) {

    .payment-methods--item, .payment-methods--item label {
        height:110px;

    }
    .payment-methods--item img{
        top:40px;

    }
    .img-payment-logo.paypal {
        left:0;
        right:0;
    }
    .cart-page {
        flex-direction: column;
    }

    .cart-listing-heading {
        display: none;
    }

    .cart-listing-item {
        flex-direction: column;
    }

    .cart-listing-container {
        padding: 20px;
    }

    .cart-listing-item {
        flex-direction: row;
        flex-wrap: wrap;
    }

        .cart-listing-item .action {
            flex-direction: column;
            display: flex;
        }

        .cart-listing-item .quantity,
        .cart-listing-item .price {
            width: 100%;
        }

            .cart-listing-item .price, .cart-listing-item .price p {
                text-align: center;
                margin: 0;
                padding: 0;
            }

    .page-shipping-method .cart-order-summary-container {
        float: none !important;
    }

    .desktop {
        display: none;
    }

    .mobile {
        display: block;
    }

    .cart-cta-container {
        flex-direction: column;
        display: flex;
    }

    .cta-subtotal, {
        width: 100%;
    }

    .cart-listing-item {
        padding-bottom: 20px;
        padding-top: 20px;
    }

        .cart-listing-item .price p {
            margin-bottom: 0 !important;
        }

        .cart-listing-item .details p {
            margin-bottom: 0 !important;
        }

    .shoppingcart-cta-container .return, .page-shipping-method .return {
        width: 300px;
        text-align: center;
    }

        .shoppingcart-cta-container .return, .page-shipping-method .return a {
            font-size: x-small;
        }

    .shoppingcart-cta-container .cta button, .page-shipping-method .cta button {
        /*width: 300px;*/
        text-align: center;
    }

    .shoppingcart-cta-container .cancel {
        text-align: center;
    }

        .shoppingcart-cta-container .cancel button {
            width: 300px;
        }

    .checkout-cta-container .cancel {
        text-align: center;
    }

        .checkout-cta-container .cancel button {
            width: 300px;
        }
}

/* only for ipad*/
@media (min-width:600px) and (max-width:768px) {
    .cart-listing-container {
        padding: 10px;
    }

    .cart-listing-item .price span {
        display: none;
    }

    .cart-listing-item .action {
        display: flex;
        flex-direction: column;
    }

    .cart-listing-heading div:first-child, .cart-listing-item .action {
        width: 5%;
    }

    .cart-listing-heading div:nth-child(2), .cart-listing-item .thumbnail-container {
        width: 15%;
    }

    .cart-listing-heading div:nth-child(3), .cart-listing-item .details {
        width: 25%;
    }

    .cart-listing-heading div:nth-child(4), .cart-listing-item .quantity {
        width: 20%;
    }

    .cart-listing-heading div:nth-child(5),
    .cart-listing-heading div:nth-child(6), .cart-listing-item .price {
        width: 17.5%;
    }

    .cart-listing-heading div h4 {
        text-align: center;
    }

    .cart-listing-item .quantity div {
        padding-top: 20px;
        text-align: center;
    }

    .cart-listing-item .price p {
        /*padding-top: 20px;*/
        text-align: center;
    }

    .cart-listing-item {
        padding-bottom: 20px !important;
        flex-direction: row;
        padding-bottom: 20px;
    }

        .cart-listing-item .price p {
            font-size: 13px;
            padding-top: 10px !important;
        }

    .desktop {
        display: none;
    }

    .mobile {
        display: block;
    }

    .cart-listing-title input[type="checkbox"],
    .action input[type="checkbox"],
    .action button {
        margin: 0 auto !important;
    }

    .shoppingcart-cta-container {
        display: flex;
        width: 100%;
    }

        .shoppingcart-cta-container .return {
            width: 100%;
        }

    .checkout-cta-container {
        display: flex;
    }

        .checkout-cta-container .return {
            width: 100%;
        }

    .shoppingcart-cta-container .cta button {
        float: right;
        width: 100% !important;
        font-size: x-small;
    }

    .shoppingcart-cta-container .cancel button {
        float: right;
        width: 100% !important;
    }

    .checkout-cta-container .cta button {
        float: right;
        width: 100% !important;
    }

    .checkout-cta-container .cancel button {
        float: right;
        width: 100% !important;
    }

    .address-option--item {
        max-width: 300px;
        margin: 15px 15px 15px 0;
    }

    .shoppingcart-cta-container .return {
        width: 30%;
    }

    .shoppingcart-cta-container .cta {
        width: 50%;
    }

    .shoppingcart-cta-container .cancel {
        width: 20%;
    }

    .checkout-cta-container .return {
        width: 30%;
    }

    .checkout-cta-container .cta {
        width: 50%;
    }

    .checkout-cta-container .cancel {
        width: 20%;
    }

    .cart-cta-container .cta-subtotal {
        display: flex;
        padding: 10px;
        float: right;
        width: 35%;
    }

        .cart-cta-container .cta-subtotal .sub-total-title, .cart-cta-container .cta-subtotal .sub-total-item {
            width: 50%;
            text-align: center;
        }

    .cart-cta-container {
        flex-direction: column;
        display: flex;
        align-items: flex-end;
    }

    .apply-discount-coupon-code-button {
        font-size: x-small !important;
    }

    .coupon-code {
        width: 35% !important;
        padding-left: 20px !important;
    }

    .shoppingcart-cta-container {
        display: flex !important;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

        .shoppingcart-cta-container .cta {
            width: 33%;
        }

    .cart-listing-item .thumbnail-container {
        width: 100px !important;
        /*height: 100px !important;*/
    }

    .cart-listing-item .quantity .buttons {
        padding-left: 12%;
    }
}

/*for lower then ipad*/
@media (max-width:767px) {
    .coupon-code {
        display: flex;
        margin-bottom: 10px;
        float: right;
        justify-content: space-between;
        padding: 10px;
        width: 100% !important;
        padding-right: 0px;
    }

    .apply-discount-coupon-code-button {
        width: 100% !important;
        font-size: x-small !important;
    }

    .shoppingcart-cta-container .cta {
        padding-left: 10px;
    }

    .cart-listing-item .quantity .buttons {
        padding-left: 27%;
    }

    .confirm-details-content {
        display: block;
    }

    .confirm-details-content .content1 {
        width: 100%;
    }
    .confirm-details-content .content2 {
        width: 100%;
    }
}

/*for lower to ipad*/
@media (max-width:768px) {
    .customer-info-page {
        flex-direction: column;
    }

    .customer-info-heading {
        display: none;
    }

    .customer-info-item {
        flex-direction: column;
    }

    .customer-info-container, .cart-order-summary-container {
        padding: 20px;
    }

    .page-shipping-method .cart-order-summary-container {
    }

    .customer-info-item.intro .account {
        text-align: left;
    }

    .cart-order-summary-container .item {
        justify-content: space-between;
    }

    .address-option-list {
        padding: 0 5px !important;
    }

    .checkout-cta-container {
        justify-content: space-between;
    }
}

/*for ipad-pro and desktop*/
@media (min-width:769px) {
    .cart-listing-container {
        padding: 10px;
    }

    .cart-listing-item .price p {
        text-align: left;
    }

    .cart-listing-item .price span {
        display: none;
    }

    .cart-listing-item .action {
        display: flex;
        flex-direction: column;
    }

    .cart-listing-heading div:first-child, .cart-listing-item .action {
        width: 5%;
    }

    .cart-listing-heading div:nth-child(2), .cart-listing-item .thumbnail-container {
        width: 15%;
    }

    .cart-listing-heading div:nth-child(3), .cart-listing-item .details {
        width: 25%;
    }

    .cart-listing-heading div:nth-child(4), .cart-listing-item .quantity {
        width: 20%;
    }

    .cart-listing-heading div:nth-child(5),
    .cart-listing-heading div:nth-child(6), .cart-listing-item .price {
        width: 17.5%;
    }

    .cart-listing-heading div h4 {
        text-align: center;
    }

    .cart-listing-item .quantity div {
        padding-top: 20px;
        text-align: center;
    }

    .cart-listing-item .price p {
        text-align: center;
    }

    .cart-listing-item {
        padding-bottom: 20px !important;
    }

    .shop-steps-container.mobile {
        display: none;
    }

    .cart-cta-container {
        flex-direction: column;
        display: flex;
        align-items: flex-end;
    }

    .cta-subtotal {
        width: 35%;
    }

    .cart-listing-title input[type="checkbox"],
    .action input[type="checkbox"],
    .action button {
        margin: 0 auto !important;
    }

    .shoppingcart-cta-container {
        display: flex;
        flex-direction: column;
    }

    .shoppingcart-cta-container {
        display: flex !important;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .checkout-cta-container {
        display: flex;
        flex-direction: column;
    }

    .checkout-cta-container {
        display: flex !important;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        width: 100%;
    }

    .shoppingcart-cta-container .return, .page-shipping-method .return {
        width: 40%;
    }

    .page-shipping-method .return {
        float: left;
    }

    .shoppingcart-cta-container .cta {
        width: 30%;
        text-align: center;
    }

    .checkout-cta-container .return {
        width: 40%;
    }

    .shoppingcart-cta-container .cta {
        width: 30%;
        text-align: center;
    }

    .checkout-cta-container .cta {
        width: 45%;
        text-align: center;
    }

    .page-shipping-method .cta {
        float: right;
    }

        .page-shipping-method .cta button {
            /*width: 40%;
		text-align: center;*/
        }

    .shoppingcart-cta-container .cancel {
        width: 20%;
        text-align: center;
    }

    .checkout-cta-container .cancel {
        width: 20%;
        text-align: center;
    }

    span.address-email {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: 300px;
    }

    .address-option {
        display: flex;
        flex-direction: row;
        width: 70%;
    }

    .address-info--item {
        width: auto;
        padding: 0 20px;
    }


    .customer-info-page {
        flex-direction: row;
    }

    .customer-info-container {
        width: 70%;
    }

    .customer-info-item {
        flex-direction: row;
    }

        .customer-info-item.intro {
            justify-content: space-between;
            align-items: center;
        }

            .customer-info-item.intro .title, .customer-info-item.intro .account,
            .customer-info-item.name .first, .customer-info-item.name .last,
            .customer-info-item.address1 .st, .customer-info-item.address1 .apt,
            .customer-info-item.contact .fax {
                width: 50%;
            }

        .customer-info-item.comp .company, .customer-info-item.email .email,
        .customer-info-item.contact .phone {
            width: 100%;
        }

        .customer-info-item.address2 .city {
            width: 100%;
        }

        .customer-info-item.address3 .country {
            width: 28%;
        }

        .customer-info-item.address3 .state {
            width: 45%;
        }

        .customer-info-item.address3 .postcode {
            width: 27%;
        }

    .cart-order-summary-container .item .thumbnail-container {
        width: 20%;
    }

    .cart-order-summary-container .item .product-info, .cart-order-summary-container .item .cost {
        width: 40%;
    }

    .cart-order-summary-container .item.discount .discount,
    .cart-order-summary-container .item.subtotal .item-price,
    .cart-order-summary-container .item.shipping .item-price,
    .cart-order-summary-container .item.totalprice .item-price {
        width: 70%;
    }

    .cart-order-summary-container, .cart-order-summary-container .item.discount .code,
    .cart-order-summary-container .item.subtotal .subtotal, .cart-order-summary-container .item.shipping .shipping,
    .cart-order-summary-container .item.totalprice .total {
        width: 30%;
    }

    .customer-info-container,
    .cart-order-summary-container, .shipping-methods-list, .paymentinfo-list {
        padding: 10px;
    }

    .customer-info-item.intro .account {
        text-align: right;
    }

    .customer-info-heading div h4 {
        text-align: center;
    }

    .customer-info-item .quantity div,
    .customer-info-item .price p {
        padding-top: 20px;
        text-align: center;
    }

    .w-100 {
        width: 100%;
    }

    .w-50 {
        width: 50%;
    }

    .w-25 {
        width: 25%;
    }

    .address-option-list {
        max-height: 580px;
        overflow: auto;
        padding: 0px 10px;
    }

    .cart-order-list {
        max-height: 280px;
        overflow: auto;
    }

    .cart-order-summary-container .cart-order-summary {
        margin-top: 100px;
    }
}

/*for ipad-pro*/
@media (min-width:769px) and (max-width:1024px) {
    .address-option--item {
        max-width: 300px;
        margin: 15px 15px 15px 0;
    }

    .desktop {
        display: none;
    }

    .mobile {
        display: block !important;
    }

    .shoppingcart-cta-container .cta {
        width: 50%;
        text-align: center;
    }

    .shoppingcart-cta-container .cancel {
        width: 20%;
        text-align: center;
    }

    .checkout-cta-container .cta {
        width: 50%;
        text-align: center;
    }

    .checkout-cta-container .cancel {
        width: 20%;
        text-align: center;
    }

    .customer-info-item .info h1 {
        font-size: 20px;
    }

    .shoppingcart-cta-container {
        padding-top: 20px;
        padding-left: 40px;
        width: 100% !important;
    }

    .checkout-cta-container {
        padding-top: 20px;
        padding-left: 10px;
        padding-right: 10px;
        width: 100% !important;
    }

    .checkout-button {
        padding-left: 10px;
    }

    .coupon-code {
        display: flex;
        margin-bottom: 10px;
        float: right;
        justify-content: space-between;
        width: 30%;
        padding-right: 0px;
    }

    .sub-total-title, .sub-total-item {
        width: 50%;
        text-align: center;
        padding-left: 10px;
    }

    .cart-listing-item .thumbnail-container {
        width: 150px !important;
        /*height: 150px !important;*/
    }

    .cart-listing-item .quantity .buttons {
        padding-left: 12%;
    }
}

/*for desktop*/
@media(min-width:1025px) {
    .shoppingcart-cta-container {
        padding-top: 20px;
        padding-left: 30px;
    }

    .checkout-cta-container {
        padding-top: 20px;
        padding-right: 10px;
        padding-left: 10px;
    }

    .address-option-list {
        justify-content: space-between;
    }

    .sub-total-title, .sub-total-item {
        width: 50%;
        text-align: center;
        padding-left: 10px;
    }

    .coupon-code {
        padding-left: 10px;
    }

    .cart-listing-item .thumbnail-container {
        width: 180px !important;
        /*height: 180px !important;*/
    }

    .cart-listing-item .quantity .buttons {
        padding-left: 40px;
    }
}

@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    /* IE10+ CSS */
    .discount-coupon-code input[name="couponcode"] {
        width: 150px;
    }
}
